GENTEST(1)

NAME
gentest - Run random generic SMB operations against two SMB servers and show the differences in behavior

SYNOPSIS

gentest {//server1/share1} {//server2/share2} {-U user%pass} {-U user%pass} [-s seed] [-o numops] [-a] [-A] [-i FILE] [-O] [-S FILE] [-L] [-F] [-C] [-X]

DESCRIPTION

gentest is a utility for detecting differences in behaviour between SMB servers. It will run a random set of generic operations against //server1/share1 and then the same random set against //server2/share2 and display the differences in the responses it gets.

This utility is used by the Samba team to find differences in behaviour between Samba and Windows servers.

OPTIONS

-U user%pass
    Specify the user and password to use when logging on on the shares. This parameter is mandatory and has to be specified twice.

-s seed
    Seed the random number generator with the specified value.

-o numops
    Set the number of operations to perform.

-a
    Print the operations that are performed.

-A
    Backtrack to find minimal number of operations required to make the response to a certain call differ.

-i FILE
    Specify a file containing the names of fields that have to be ignored (such as time fields). See below for a description of the file format.

-O
    Enable oplocks.

-S FILE
    Set preset seeds file. The default is gentest_seeds.dat.

-L
    Use preset seeds

-F
    Fast reconnect (just close files)

-C
    Continuous analysis mode

-X
    Analyse even when the test succeeded.

VERSION

This man page is correct for version 4.0 of the Samba suite.

SEE ALSO

Samba

AUTHOR

This utility is part of the Samba[1] suite, which is developed by the global Samba Team[2].

gentest was written by Andrew Tridgell.

This manpage was written by Jelmer Vernooij.

NOTES

1.  Samba
    http://www.samba.org/

2.  Samba Team
    http://www.samba.org/samba/team/